
# define to enable kde integration
%define kde 1

%if 0%{?fedora} > 17 || 0%{?rhel} > 6
%define udisks2 1
%endif

Summary: Client for the Music Player Daemon (MPD)
Name:    cantata
Version: 1.1.0
Release: 1%{?dist}

License: GPLv2+
#URL:    http://kde-apps.org/content/show.php/Cantata?content=147733
URL:     http://code.google.com/p/cantata/
Source0: http://cantata.googlecode.com/files/cantata-%{version}.tar.bz2

## upstreamable patches
# s|^#!/usr/bin/env perl|#!/usr/bin/perl|
Patch101: cantata-0.9.1-perl_env.patch

# fix kde support
Patch102: cantata-1.1.0-kde4_includes.patch

# pkgconfig hints for libmusicbrainz5
Patch103: cantata-1.1.0-libmusicbrainz5_cflags.patch

BuildRequires: cdparanoia-devel
BuildRequires: gettext
%if 0%{?kde}
BuildRequires: kdelibs4-devel >= 4.7
%endif
BuildRequires: pkgconfig(taglib)
BuildRequires: pkgconfig(taglib-extras)
BuildRequires: pkgconfig(libcddb)
BuildRequires: pkgconfig(libmtp)
BuildRequires: pkgconfig(libmusicbrainz5)
BuildRequires: pkgconfig(phonon)
BuildRequires: pkgconfig(QJson)
BuildRequires: pkgconfig(QtWebKit)

%description
Cantata is a (yet another!) client for the music player daemon (MPD). 


%prep
%setup -q

%patch101 -p1 -b .perl_env
%patch102 -p1 -b .kde4_includes
%patch103 -p1 -b .libmusicbrainz5_cflags


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} \
  -DENABLE_KDE:BOOL=%{?kde:ON}%{!?kde:OFF} \
  -DENABLE_FFMPEG:BOOL=OFF \
  -DENABLE_MPG123:BOOL=OFF \
  -DENABLE_HTTP_STREAM_PLAYBACK:BOOL=ON \
  %{?udisks2:-DENABLE_UDISKS2:BOOL=ON} \
  ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang cantata %{!?kde:--with-qt} %{?kde:--with-kde} --all-name || touch %%{name}.lang


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/%{?kde:kde4}/cantata.desktop


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
fi

%files -f cantata.lang
%doc LICENSE
%doc AUTHORS ChangeLog README TODO
%{_kde4_bindir}/cantata
%{_kde4_datadir}/applications/%{?kde:kde4}/cantata.desktop
%{_kde4_iconsdir}/hicolor/*/*/*
%{_datadir}/cantata/
%dir %{_kde4_appsdir}/solid/
%dir %{_kde4_appsdir}/solid/actions/
%{_kde4_appsdir}/solid/actions/cantata-play-audiocd.desktop


%changelog
* Wed Aug 14 2013 Rex Dieter <rdieter@fedoraproject.org> 1.1.0-1
- cantata-1.1.0

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 0.9.2-2
- Perl 5.18 rebuild

* Mon Jan 28 2013 Rex Dieter <rdieter@fedoraproject.org> 0.9.2-1
- 0.9.2

* Sat Jan 05 2013 Rex Dieter <rdieter@fedoraproject.org> 0.9.1-1
- cantata-0.9.1

* Wed Nov 28 2012 Rex Dieter <rdieter@fedoraproject.org> 0.8.3.1-2
- patch s|^#!/usr/bin/env perl|#!/usr/bin/perl|

* Tue Sep 25 2012 Rex Dieter <rdieter@fedoraproject.org> 0.8.3.1-1
- cantata-0.8.3.1
- run desktop-file-validate
- add icon scriptlets
- drop Requires: mpd
- %%doc LICENSE AUTHORS ChangeLog README TODO
- omit and explicitly disable ffmpeg, mpg123 support

* Thu Aug 02 2012 Rex Dieter <rdieter@fedoraproject.org> 0.8.2-1
- first try

